### Method

# AppStream Metadata component_to_metainfo

#### Declaration [src]

    gchar*
    as_metadata_component_to_metainfo (
      AsMetadata* metad,
      AsFormatKind format,
      GError** error
    )

#### Description [src]

Convert an `AsComponent` to metainfo data. This will always be XML, YAML is no valid format for metainfo files.

The amount of localization included in the metadata depends on how the `AsComponent` was initially loaded and whether it contains data for all locale.

The first `AsComponent` added to the internal list will be transformed. In case no component is present, `NULL` is returned.

#### Parameters

`format`

  Type: `AsFormatKind`

  The format to use (XML or YAML).

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gchar*`

A string containing the XML metadata. Free with g_free().

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.